vim.cmd([[
  




]])
require("cyberdream").setup({})

-- Set up globals {{{
do
    local nixvim_globals = { ["mapleader"] = " " }

    for k, v in pairs(nixvim_globals) do
        vim.g[k] = v
    end
end
-- }}}

vim.loader.disable()

-- Ignore the user lua configuration
vim.opt.runtimepath:remove(vim.fn.stdpath("config")) -- ~/.config/nvim
vim.opt.runtimepath:remove(vim.fn.stdpath("config") .. "/after") -- ~/.config/nvim/after
vim.opt.runtimepath:remove(vim.fn.stdpath("data") .. "/site") -- ~/.local/share/nvim/site

vim.cmd([[
  let $BAT_THEME = 'cyberdream'

colorscheme cyberdream

]])
require("which-key").setup({})

require("telescope").setup({})

local __telescopeExtensions = {}
for i, extension in ipairs(__telescopeExtensions) do
    require("telescope").load_extension(extension)
end

-- Set up keybinds {{{
do
    local __nixvim_binds = {
        {
            ["action"] = require("telescope.builtin").builtin,
            ["key"] = "<leader>ff",
            ["mode"] = "n",
            ["options"] = { ["desc"] = "Telescope Builtin" },
        },
        {
            ["action"] = require("telescope.builtin").live_grep,
            ["key"] = "<leader>fg",
            ["mode"] = "n",
            ["options"] = { ["desc"] = "Telescope Live Grep" },
        },
        {
            ["action"] = require("telescope.builtin").fdsafsda,
            ["key"] = "<leader>fu",
            ["mode"] = "n",
            ["options"] = { ["desc"] = "Telescope Undo" },
        },
        { ["action"] = "<cmd>help<CR>", ["key"] = "gh", ["mode"] = { "n" } },
        { ["action"] = "<cmd>help<CR>", ["key"] = "yu", ["mode"] = { "n" } },
        { ["action"] = "<cmd>help<CR>", ["key"] = "<leader>g", ["mode"] = { "n" } },
    }
    for i, map in ipairs(__nixvim_binds) do
        vim.keymap.set(map.mode, map.key, map.action, map.options)
    end
end
-- }}}
